require"cairo"

w = 320
h = 240
outfile = 'cairo_test1.png'

cs = cairo_image_surface_create(CAIRO_FORMAT_RGB24, w, h)

cr = cairo_create(cs)

cairo_set_source_rgb(cr, 1, 1, 1)
cairo_paint(cr)

cairo_set_source_rgb(cr, 0, 0, 0)
cairo_set_line_width(cr, 5)
cairo_set_line_cap(cr, CAIRO_LINE_CAP_ROUND)

cairo_move_to(cr, w/4, h/4)
cairo_line_to(cr, 3*w/4, 3*h/4)
cairo_stroke(cr)

cairo_move_to(cr, 3*w/4, h/4)
cairo_line_to(cr, w/4, 3*h/4)
cairo_stroke(cr)

cairo_surface_write_to_png(cs, outfile)

