require"cairo"

w = 320
h = 240
outfile = 'cairo_test2.png'

cs = cairo_image_surface_create(CAIRO_FORMAT_RGB24, w, h)

cr = cairo_create(cs)

cairo_set_source_rgb(cr, 1, 1, 1)
cairo_paint(cr)

cairo_set_source_rgb(cr, 0, 0, 0)
cairo_select_font_face(cr, "Sans", CAIRO_FONT_SLANT_NORMAL, 
 CAIRO_FONT_WEIGHT_BOLD)
cairo_set_font_size(cr, w/6)
cairo_move_to(cr, 0, h/4)
cairo_show_text(cr, "Hello cairo!")

cairo_select_font_face(cr, "Sans", CAIRO_FONT_SLANT_NORMAL, 
 CAIRO_FONT_WEIGHT_NORMAL)
cairo_set_font_size(cr, w/8)
cairo_move_to(cr, 0, 3*h/4)
cairo_text_path (cr, "Lua calling...")
cairo_set_source_rgb (cr, 0.5, 0.5, 1)
cairo_fill_preserve (cr)
cairo_set_source_rgb (cr, 0, 0, 0)
cairo_set_line_width (cr, w/200)
cairo_stroke (cr)

cairo_surface_write_to_png(cs, outfile)

